<template>
  <body
    id="kt_body"
    data-bs-spy="scroll"
    data-bs-target="#kt_landing_menu"
    data-bs-offset="200"
    class="bg-light position-relative"
  >
    <div class="d-flex flex-column flex-root">
      <div class="mb-0" id="home">
        <div
          class="
            bgi-no-repeat
            bgi-size-contain
            bgi-position-x-center
            bgi-position-y-bottom
            landing-dark-bg
          "
          style="
            background-image: url(assets/media/svg/illustrations/landing.svg);
          "
        >
          <div
            class="landing-header"
            data-kt-sticky="true"
            data-kt-sticky-name="landing-header"
            data-kt-sticky-offset="{default: '200px', lg: '300px'}"
          >
            <div class="container">
              <KTHeader />
            </div>
          </div>
          <!--begin::Landing hero-->
          <div class="d-flex flex-column flex-center w-100 min-h-lg-100px px-9">
            <div class="text-center mb-5 mb-lg-10 py-10 py-lg-20">
              <h1
                class="
                  text-white
                  fw-bolder
                  fs-2x fs-lg-3x
                  mb-15
                  d-flex
                  flex-column flex-center
                "
              >
                Roadmap Keahlian
                <div class="separator m-1 mt-5 w-150px border-3"></div>
              </h1>
            </div>
          </div>
        </div>

        <div class="landing-curve landing-dark-color mb-10 mb-lg-20">
          <svg
            viewBox="15 12 1470 48"
            fill="none"
            xmlns="http://www.w3.org/2000/svg"
          >
            <path
              d="M0 11C3.93573 11.3356 7.85984 11.6689 11.7725 12H1488.16C1492.1 11.6689 1496.04 11.3356 1500 11V12H1488.16C913.668 60.3476 586.282 60.6117 11.7725 12H0V11Z"
              fill="currentColor"
            ></path>
          </svg>
        </div>
      </div>
    </div>
    <div class="container">
      <XyzTransitionGroup
        appear
        xyz="fade duration-5 appear-front-3 small-3 appear-small-0 stagger-2 out-stagger-0"
        class="
          list-roadmap-wrapper
          d-flex
          row
          bd-highlight
          justify-content-start
          xyz-appear
          mt-10
        "
      >
        <div
          v-for="(item, index) in state.dataRoadmap.data"
          :key="index"
          class="my-3 col-md-3"
        >
          <router-link :to="{ name: 'detail', query: { id: item._id } }">
            <div class="card">
              <img :src="item.image.Location" class="card-img-top" />
              <div class="card bg-transparent">
                <div class="card-header ribbon border-0">
                  <div class="ribbon-label bg-primary">
                    {{ item.majorAcronym }}
                  </div>
                </div>
              </div>
              <div class="card-body">
                <h5 class="card-title">{{ item.title }}</h5>
                <p class="card-text">Roadmap Keahlian</p>
              </div>
            </div>
          </router-link>
        </div>
      </XyzTransitionGroup>
    </div>
  </body>
</template>

<script>
import { reactive, onBeforeMount } from "vue";
import axios from "axios";
import useNotyf from "@/store/composable/useNotyf";
import KTHeader from "@/layout/header/HeaderV2.vue";

export default {
  components: {
    KTHeader,
  },
  setup() {
    let api = reactive(process.env.VUE_APP_API_URL);
    const notif = useNotyf();

    const state = reactive({
      dataRoadmap: {
        data: [],
      },
    });

    const getRoadmap = async () => {
      try {
        const result = await axios.get(`${api}/roadmap`);

        state.dataRoadmap.data = [];
        if (result.status === 200) {
          result.data.forEach((e) => {
            state.dataRoadmap.data.push(e);
          });
        }
      } catch (error) {
        notif.error(error);
      }
    };

    onBeforeMount(() => getRoadmap());

    return { state };
  },
};
</script>

<style lang="scss" scoped>
</style>